<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.plugins.ide.eclipse.model (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.plugins.ide.eclipse.model (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.gradle.plugins.ide.eclipse.model</h1>
<div class="docSummary">
<div class="block">Classes for the model used by the <a href="../../../../../../org/gradle/plugins/ide/eclipse/EclipsePlugin.html" title="class in org.gradle.plugins.ide.eclipse"><code>EclipsePlugin</code></a>.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">ClasspathEntry</a></td>
<td class="colLast">
<div class="block">Represents an entry in the Eclipse classpath.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/FileReference.html" title="interface in org.gradle.plugins.ide.eclipse.model">FileReference</a></td>
<td class="colLast">
<div class="block">A reference to a file in eclipse.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilter.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilter</a></td>
<td class="colLast">
<div class="block">The gradle DSL model of an Eclipse resource filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a></td>
<td class="colLast">
<div class="block">The model of an Eclipse resource filter matcher.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbModuleEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model">WbModuleEntry</a></td>
<td class="colLast">
<div class="block">Represents an entry in <code>wb-module</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractClasspathEntry.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractClasspathEntry</a></td>
<td class="colLast">
<div class="block">Common superclass for all <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ClasspathEntry.html" title="interface in org.gradle.plugins.ide.eclipse.model"><code>ClasspathEntry</code></a> instances.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AbstractLibrary.html" title="class in org.gradle.plugins.ide.eclipse.model">AbstractLibrary</a></td>
<td class="colLast">
<div class="block">Common superclass for the library elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/AccessRule.html" title="class in org.gradle.plugins.ide.eclipse.model">AccessRule</a></td>
<td class="colLast">
<div class="block">Access rule associated to a classpath entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/BuildCommand.html" title="class in org.gradle.plugins.ide.eclipse.model">BuildCommand</a></td>
<td class="colLast">
<div class="block">A build command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Classpath.html" title="class in org.gradle.plugins.ide.eclipse.model">Classpath</a></td>
<td class="colLast">
<div class="block">Represents the customizable elements of an eclipse classpath file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Container.html" title="class in org.gradle.plugins.ide.eclipse.model">Container</a></td>
<td class="colLast">
<div class="block">A container classpath entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a></td>
<td class="colLast">
<div class="block">The build path settings for the generated Eclipse project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning jdt details of the Eclipse plugin

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'eclipse'

 eclipse {
   jdt {
     //if you want to alter the java versions (by default they are configured with gradle java plugin settings):
     sourceCompatibility = 1.6
     targetCompatibility = 1.5
     javaRuntimeName = "J2SE-1.5"

     file {
       //whenMerged closure is the highest voodoo
       //and probably should be used only to solve tricky edge cases.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseModel</a></td>
<td class="colLast">
<div class="block">DSL-friendly model of the Eclipse project information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning project details (.project file) of the Eclipse plugin</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning wtp/wst details of the Eclipse plugin</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpComponent</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning wtp component details of the Eclipse plugin</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpFacet.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpFacet</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning wtp facet details of the Eclipse plugin</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Facet.html" title="class in org.gradle.plugins.ide.eclipse.model">Facet</a></td>
<td class="colLast">
<div class="block">A project facet.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model">Jdt</a></td>
<td class="colLast">
<div class="block">Represents the Eclipse JDT settings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Library.html" title="class in org.gradle.plugins.ide.eclipse.model">Library</a></td>
<td class="colLast">
<div class="block">A classpath entry representing a library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Link.html" title="class in org.gradle.plugins.ide.eclipse.model">Link</a></td>
<td class="colLast">
<div class="block">Link.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Output.html" title="class in org.gradle.plugins.ide.eclipse.model">Output</a></td>
<td class="colLast">
<div class="block">A classpath entry representing an output folder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Project.html" title="class in org.gradle.plugins.ide.eclipse.model">Project</a></td>
<td class="colLast">
<div class="block">Represents the customizable elements of an eclipse project file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ProjectDependency.html" title="class in org.gradle.plugins.ide.eclipse.model">ProjectDependency</a></td>
<td class="colLast">
<div class="block">A classpath entry representing a project dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/SourceFolder.html" title="class in org.gradle.plugins.ide.eclipse.model">SourceFolder</a></td>
<td class="colLast">
<div class="block">SourceFolder.path contains only project relative path.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Variable.html" title="class in org.gradle.plugins.ide.eclipse.model">Variable</a></td>
<td class="colLast">
<div class="block">A variable library entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbDependentModule.html" title="class in org.gradle.plugins.ide.eclipse.model">WbDependentModule</a></td>
<td class="colLast">
<div class="block">A wtp descriptor dependent module entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbProperty.html" title="class in org.gradle.plugins.ide.eclipse.model">WbProperty</a></td>
<td class="colLast">
<div class="block">A wtp descriptor property entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WbResource.html" title="class in org.gradle.plugins.ide.eclipse.model">WbResource</a></td>
<td class="colLast">
<div class="block">A wtp descriptor resource entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a></td>
<td class="colLast">
<div class="block">Creates the .settings/org.eclipse.wst.common.component file for WTP projects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/WtpFacet.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpFacet</a></td>
<td class="colLast">
<div class="block">Creates the .settings/org.eclipse.wst.common.project.facet.core.xml file for WTP projects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Facet.FacetType.html" title="enum in org.gradle.plugins.ide.eclipse.model">Facet.FacetType</a></td>
<td class="colLast">
<div class="block">An <code>installed</code> facet is really present on an Eclipse project whereas facet type <code>fixed</code> means that
 this facet is locked and cannot be simply removed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterAppliesTo.html" title="enum in org.gradle.plugins.ide.eclipse.model">ResourceFilterAppliesTo</a></td>
<td class="colLast">
<div class="block">Specifies the type of resource that the Eclipse <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilter.html" title="interface in org.gradle.plugins.ide.eclipse.model"><code>ResourceFilter</code></a> applies to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterType.html" title="enum in org.gradle.plugins.ide.eclipse.model">ResourceFilterType</a></td>
<td class="colLast">
<div class="block">Specifies whether an Eclipse <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilter.html" title="interface in org.gradle.plugins.ide.eclipse.model"><code>ResourceFilter</code></a> is including or excluding resources.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.plugins.ide.eclipse.model Description">Package org.gradle.plugins.ide.eclipse.model Description</h2>
<div class="block">Classes for the model used by the <a href="../../../../../../org/gradle/plugins/ide/eclipse/EclipsePlugin.html" title="class in org.gradle.plugins.ide.eclipse"><code>EclipsePlugin</code></a>.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
